Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Interface IUpdate

All Known Implementing Classes:
  AddMarkerAction, AddTaskAction, CaseAction, ChangeEncodingAction, ContentAssistAction, ConvertLineDelimitersAction, DeleteLineAction, FindNextAction, FindReplaceAction, GotoAnnotationAction, GotoLineAction, IncrementalFindAction, InsertLineAction, JoinLinesAction, MarkAction, MarkerRulerAction, MarkerRulerInfoAction, MoveLinesAction, QuickDiffToggleAction, RecenterAction, RevertToSavedAction, SaveAction, SelectAnnotationRulerAction, SelectMarkerRulerAction, SelectMarkerRulerInfoAction, ShiftAction, ShowWhitespaceCharactersAction, TextEditorAction, TextOperationAction, TextViewerAction, TextViewerGotoLineAction, ToggleBreakpointAction

    public interface IUpdate

Indicates the support of an update method.

Method Summary
`void` `update()` Requests that this object update itself.

Method Detail

### update

    void update()

  Requests that this object update itself.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.